Hitachi Vantara Pentaho Community Forums
Results 1 to 7 of 7

Thread: Merge join in 2.5

  1. #1

    Default Merge join in 2.5

    I've a problem:
    when i do merge join the next step, doesn't receive any field?
    Is it a problem of 2.5.1 version?
    I can't try with last version, because i encounter error about data type as i wrote in an other thread
    Thanx

  2. #2
    Join Date
    May 2006
    Posts
    4,882

    Default

    Shows us a small example.... and try 2.5.2 as well, some merge join bugs were fixed in there.

    Regards,
    Sven

  3. #3
    Join Date
    Nov 1999
    Posts
    9,729

    Default

    The problem is only there during design. The data is indeed passing to the next steps.

  4. #4

    Default

    Thanx for reply.
    I've seen that the problem is during design and if i run transfomation i don't have problem.
    But when i run the transformation in a job executed in my pentaho server version 1.2.1.625 i receive this error:

    Loading transformation from XML file [C:\PENTAHO\pentaho-solutions\bi\FederlazioDW\kettle_trasf\trasfFattiConsulenze.ktr]
    ERROR (version 2.3.2-dev, build 93 from 2006/10/05 10:34:24 @ null) : Unable to open transformation:
    ERROR (version 2.3.2-dev, build 93 from 2006/10/05 10:34:24 @ null) : Error reading transformation from XML file
    ERROR (version 2.3.2-dev, build 93 from 2006/10/05 10:34:24 @ null) :
    ERROR (version 2.3.2-dev, build 93 from 2006/10/05 10:34:24 @ null) : Unable to load step info from XML step node
    ERROR (version 2.3.2-dev, build 93 from 2006/10/05 10:34:24 @ null) :
    ERROR (version 2.3.2-dev, build 93 from 2006/10/05 10:34:24 @ null) : Unable to load class for step/plugin with id [MergeJoin].Check if the plugin is available in the plugins subdirectory of the Kettle distribution.How can i do?
    Thanx

  5. #5
    Join Date
    May 2006
    Posts
    4,882

    Default

    Out of the box 1.2 had PDI version 2.3.1 as far as I remember and Merge join was added later on.

    Upgrade to 1.6 and you'll get 2.5 out of the box.

    Regards,
    Sven

  6. #6

    Default

    Thank you very much for reply Sven,
    so what i can do is only upgrade to 1.6?
    THANX A LOT!

  7. #7
    Join Date
    May 2006
    Posts
    4,882

    Default

    Or you can try to replace PDI in your version of the server with a newer version... but that's like trying to make an iPhone work on a non-supported provider

    Regards,
    Sven

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Privacy Policy | Legal Notices | Safe Harbor Privacy Policy

Copyright © 2005 - 2019 Hitachi Vantara Corporation. All Rights Reserved.